problemi a compilare spatialite "amalgamation 2.3.1" su Ubuntu 10.10

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

problemi a compilare spatialite "amalgamation 2.3.1" su Ubuntu 10.10

Michele Beneventi
Ciao,
Sto provando a compilare spatialite amalgamation 2.3.1 su  Ubuntu 10.10
con libgeos 3.2.2 (from Ubuntu packages).
Con la seguente sintassi:
---------------
CFLAGS="-I/usr/include/geotiff" ./configure \
--with-geos-include=/usr/include/geos \
--with-geos-lib=/usr/lib/
--------------

è stato creato senza problemi il makefile, ma quando lancio il
comando "make" ad un certo punto mi ritorna questo:

----------------------------------------------------

...
....
..
...
libtool: link: cannot find the library `/usr/lib/libgeos_c.la'
or unhandled argument `/usr/lib/libgeos_c.la'
make[1]: *** [libspatialite.la] Error 1
make[1]: Leaving directory `/home/michele/Desktop/libspatialite-
amalgamation-2.3.1'
make: *** [all-recursive] Error 1
-------------------------------------------------------

nella directory  /usr/lib/ ho trovato solo la libreria "libgeos_c.a"

qualche idea
grazie
Michele


_______________________________________________
Iscriviti all'associazione GFOSS.it: http://www.gfoss.it/drupal/iscrizione
[hidden email]
http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
Non inviate messaggi commerciali.
I messaggi di questa lista non rispecchiano necessariamente
le posizioni dell'Associazione GFOSS.it.
502 iscritti all'11.2.2011
Reply | Threaded
Open this post in threaded view
|

Re: problemi a compilare spatialite "amalgamation 2.3.1" su Ubuntu 10.10

a.furieri
On Thu, 28 Apr 2011 12:11:13 +0200, Michele Beneventi wrote
> Ciao,
> Sto provando a compilare spatialite amalgamation 2.3.1 su  Ubuntu 10.10
> con libgeos 3.2.2 (from Ubuntu packages).
>

Michele, ti ho appena risposto sulla ML spatialite
http://groups.google.com/group/spatialite-users/browse_thread/thread/30217262bc2961e4#

giusto in due parole: la "vecchia" 2.3.1 aveva diversi problemini
con le distribuzioni standard di libgeos e/o libproj su alcune
distros (tra cui Ubuntu).

usa la più recente 2.4.0, e tutto filerà liscio

ciao Sandro

_______________________________________________
Iscriviti all'associazione GFOSS.it: http://www.gfoss.it/drupal/iscrizione
[hidden email]
http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
Non inviate messaggi commerciali.
I messaggi di questa lista non rispecchiano necessariamente
le posizioni dell'Associazione GFOSS.it.
502 iscritti all'11.2.2011
Reply | Threaded
Open this post in threaded view
|

Re: problemi a compilare spatialite "amalgamation 2.3.1" su Ubuntu 10.10

Michele Beneventi
Grazie Sandro,
appena letto. Scusa, ma pensavo che fosse un argomento da condividere anche lista GFOSS.

Adesso provo subito.

ciao
Michele

2011/4/28 <[hidden email]>
On Thu, 28 Apr 2011 12:11:13 +0200, Michele Beneventi wrote
> Ciao,
> Sto provando a compilare spatialite amalgamation 2.3.1 su  Ubuntu 10.10
> con libgeos 3.2.2 (from Ubuntu packages).
>

Michele, ti ho appena risposto sulla ML spatialite
http://groups.google.com/group/spatialite-users/browse_thread/thread/30217262bc2961e4#

giusto in due parole: la "vecchia" 2.3.1 aveva diversi problemini
con le distribuzioni standard di libgeos e/o libproj su alcune
distros (tra cui Ubuntu).

usa la più recente 2.4.0, e tutto filerà liscio

ciao Sandro


_______________________________________________
Iscriviti all'associazione GFOSS.it: http://www.gfoss.it/drupal/iscrizione
[hidden email]
http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
Non inviate messaggi commerciali.
I messaggi di questa lista non rispecchiano necessariamente
le posizioni dell'Associazione GFOSS.it.
502 iscritti all'11.2.2011